---
author: Paulus Schoutsen
authorURL: https://twitter.com/balloob
authorImageURL: /img/profile/paulus.jpg
authorTwitter: balloob
title: Adopting Black
---

Today we have officially adopted the Python code formatting tool [Black](https://black.readthedocs.io). All code has been formatted with Black and all future contributions will be checked to make sure that they have been formatted using Black.

As part of adopting Black, all style checks in flake8 and pylint have been disabled.

To make sure that all files are Black when you commit your changes, we are using [`pre-commit`](https://pre-commit.com/). The hook is automatically installed for new dev environments (as part of `script/setup`).

If you have an existing developer installation, please run inside your virtual environment:

```
pip install pre-commit
pre-commit install
```

`pre-commit` does not change your files, but merely confirms that the changed files are formatted by Black. We suggest that you set up your editor to automatically format files with Black when you hit save. Instructions for various editors can be found [here](https://black.readthedocs.io/en/stable/integrations/editors.html).
