---
author: Paulus Schoutsen
authorURL: https://twitter.com/balloob
authorImageURL: /img/profile/paulus.jpg
authorTwitter: balloob
title: Update on the Z-Wave integration
---

import DiscussionBox from '../static/js/discourse_discussion.jsx'

At the State of the Union we [introduced that we're working on a new Z-Wave integration](https://youtu.be/tc17q1Zn0Xs?t=4482). It's based on a new project by the Open Z-Wave project called [OZWDaemon](https://github.com/OpenZWave/qt-openzwave) and we will communicate with it over MQTT.

This new approach allows us to integrate directly with the core of Open Z-Wave without relying on bindings via other languages. This allows us to easily keep up to date with the latest Open Z-Wave versions.

There has been some great progress on the integration thanks to [@cgarwood] and [@marcelveldt] and you can start testing it out today as [a custom component](https://github.com/cgarwood/homeassistant-zwave_mqtt). It's still early and not every device type is supported yet. Currently it supports lights, switches, sensors and binary sensors. The custom component is powered by the new [`python-openzwave-mqtt`](https://github.com/cgarwood/python-openzwave-mqtt) package.

[Please try it out.](https://github.com/cgarwood/homeassistant-zwave_mqtt#requirements) If you find any bugs, [create an issue](https://github.com/cgarwood/homeassistant-zwave_mqtt/issues/new). If you are using Home Assistant 0.105, use the new `mqtt.dump` service on topic `openzwave/#` to make a dump of your Open Z-Wave instance and attach that to your issue. The dump will be written to `mqtt_dump.txt` in your config folder.

Once the integration is mature enough, it will become part of Home Assistant Core.

[@cgarwood]: https://github.com/cgarwood
[@marcelveldt]: https://github.com/marcelveldt

<!--truncate-->

## Comments

<div id='discourse-comments'></div>

<DiscussionBox discourseUrl="https://community.home-assistant.io/"
      discourseEmbedUrl="https://developers.home-assistant.io/blog/2020/02/04/new-zwave.html" />
