---
author: Paulus Schoutsen
authorURL: https://twitter.com/balloob
authorImageURL: /img/profile/paulus.jpg
authorTwitter: balloob
title: New features for developers in 2022.4
---

There are a handful of new features for developers in 2022.4.

- [Integration Type]: Integrations can now mark themselves as helper.
- [Backup platform]: Integrations can now pause work during a backup by implementing the new backup platform.
- hidden_by in entity registry: Entities can now be hidden via the entity registry. These entities should default to not be included when exposing entities to an external UI like voice assistants.
- [New and updated selectors]: We added a bunch of new selectors to be used in blueprints, services.yaml, and config flows.
- [Selectors in backend flows]: You can now use the `selector` helper in your config flows. It is configured and renders just like selectors in services.yaml/blueprints.
- [ha-form context]: Context is a new way to allow selectors to be dynamically configured based on values from other fields. Currently only available for the attribute selector.
- [config flow helper text for fields]: Config flow fields can now have a description.
- [Schema Config Flow helper]: New helper to create config flows based on a config schema. [Example implementation](https://github.com/home-assistant/core/blob/dev/homeassistant/components/switch_as_x/config_flow.py)
- [Show Menu step]: This new step in a data entry flow shows a menu to the user.
- [Fan speed]: We introduced a new format and this transition is now completed.
- [Device State Attributes]: Backwards compatibility support for this property has been removed after being deprecated since Home Assistant 2021.4. Use `extra_state_attributes` instead.
- [Cameras without width/height]: The compatbility layer for cameras without width/height has been removed.
- [Calendar offset]: Calendar method signatures for `calculate_offset` and `is_offset_reached` have changed, in preparation for typing improvements in Calendar, and potential simplification of offsets more generally.


[ha-form context]: https://github.com/home-assistant/frontend/pull/12062
[Integration Type]: /docs/creating_integration_manifest
[Backup platform]: /docs/core/platform/backup
[New and updated selectors]: https://next.home-assistant.io/docs/blueprint/selectors/
[Selectors in backend flows]: /docs/data_entry_flow_index#show-form
[config flow helper text for fields]: /docs/data_entry_flow_index#show-form
[Schema Config Flow helper]: https://github.com/home-assistant/core/blob/dev/homeassistant/helpers/schema_config_entry_flow.py
[Show Menu step]: /docs/data_entry_flow_index#show-menu
[Fan speed]: https://github.com/home-assistant/core/pull/67743
[Device State Attributes]: https://github.com/home-assistant/core/pull/67837
[Cameras without width/height]: https://github.com/home-assistant/core/pull/68039
[Calendar offset]: https://github.com/home-assistant/core/pull/68724
